Mevcut Fiori Uygulamalarını Fiori 2.0'a Nasıl Upgrade Edebilirim? Sistemim S/4HANA değil !

Kasım 2016'da S4HANA 1610 ile birlikte Fiori 2.0'ın resmi duyurusu yapıldı. Duyuru ve sonrasında ya ben yanlış anladım ya da SAP çok iyi açıklayamadı, Fiori 2.0 kullanabilmek için S4 1610 gerekli bir kanı oluştu. Belki de bu bende böyle yanlış oluşmuş olabilir. Ancak bu durum bana çok anlamsız geldiğinden biraz araştırma yaptım ve gördüm ki, mevcut Fiori kullanan ya da kullanmayı düşünen hale hazırdaki tüm SAP müşterileri aslında Fiori 2.0'a S4 1610 kullanmasalar da geçebilirlermiş. 

Business Suite SAP kullanıcıları için yapılması gereken  Front-End Server 3.0 üzerinden Fiori 2.0 kullanılması. Ancak üzücü haber SAP Fiori notification kullanılamıyor.

Yanda SAP tarafından yayınlanan digramda yapılması gerekenler özetlenmiş.

Upgrade yapmadan önce mutlaka 3 maddede açıklanan adımlar dikkate alınmalı:

1. UI Theme Designer ile kendi geliştirdiğiniz Blue Cristal'ı baz alan temalar olan Belize baz alınarak tekrar yapılmak zorunda. Çünkü artık Blue Cristal kalmayacak.

2. Standart dışı uygulamaların Merged Header kullanımın Auto-Adapter ile uyumlu çalışmasının kontrol edilmesi gerekli.  Çünkü Fiori 2.0 ile sadece 1 header bar olacak en üstte.

3. Custom UI5 kontrollerinin Belize ile uyumlu çalıştığının kontrol edilmesi lazım. 

Bence eksik fonksiyonları olsa bile Fiori 2.0'a upgrade edilmesi gerekli.

Sevgiler
@sarhanpolatates